#include "dbobject.hh"
#include "dbfield.hh"
#include "dbsession.hh"
#include "dboperations.hh"
#include <map>
#include <utility>
#include <string>

namespace inventory {
namespace datamodel {

const struct DBRecordElementDesc
    DBRecordDescTempl<DBObject>::id_desc = {
        "id",
        "ID",
        "Unique identification number"
};

const struct DBRecordElementDesc
    DBRecordDescTempl<DBNamedObject>::name_desc = {
        "name",
        "Name",
        ""
};

const struct DBRecordElementDesc
    DBRecordDescTempl<DBHierarchicalObject>::sup_desc = {
        "sup",
        "Stored in",
        ""
};

const struct DBRecordElementDesc
    DBRecordDescTempl<DBHierarchicalObject>::nsub_desc = {
        "sub",
        "Children count",
        ""
};

}
}
