#ifndef INVENTORY_GROUP_HH_
#define INVENTORY_GROUP_HH_
#include <string>
#include <vector>
#include "category.hh"

namespace inventory {
namespace datamodel {
class Group {
public:
	int id;
	int parent;
	std::string name;
	std::string description;
	int style_id;

	static const char *sc_table;

	static Category from_query(ResultSet_T);
};

}
}

#endif
