#ifndef INVENTORY_DBOBJECTTREEPTR_HH_
#define INVENTORY_DBOBJECTTREEPTR_HH_
#include <memory>

namespace inventory {
namespace datamodel {

template <class T>
class DBObjectTree;

template <class T>
using DBObjectTreePtr = std::shared_ptr<DBObjectTree<T>>;

template <class T>
using DBObjectTreePtrBase = std::enable_shared_from_this<DBObjectTree<T>>;

}
}

#endif
